<template>
    <div>
        <router-link to="/Add/Income">
            <button class="button-add-expense">AÑADIR GASTOS</button>
        </router-link>
        <section>
            <MovementListPage
                :movements="movements"
                @delete-Movements="btnDeletMovements"
                @btnedit="editMovements"
            />
        </section>
    </div>
</template>

<script>
import MovementListPage from '@/components/Movements/MovementList.vue'
import api from '@/api.js'
export default {
    components: {
        MovementListPage,
    },
    data() {
        return {
            movements: [],
            type_movements: 'Expenses',
        }
    },

    created() {
        this.displayMovements()
    },
    methods: {
        async displayMovements() {
            const result = await fetch('/api/desplayGMovements')
            const data = await result.json()
            this.movements = data
        },

        async btnDeletMovements(id_movements) {
            api.deleteMovements(id_movements)
            this.displayMovements()
        },
    },
}
</script>
<style scoped>
.button-add-expense {
    margin: 297px;
    margin-bottom: auto;
    width: 310px;
    height: 40px;
    border-radius: 2px;
    background-color: #76ffda;
    box-shadow: 1px 1px 3px #f0f0f0;

    cursor: pointer;
    text-decoration: none;
    overflow: hidden;
    border: none;
}
.button-add-expense:hover {
    background-color: #000000;
    color: whitesmoke;
}
</style>
